- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates a job in a project.
HTTP request
PATCH https://dataproc.googleapis.com/v1/projects/{projectId}/regions/{region}/jobs/{jobId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. The ID of the Google Cloud Platform project that the job belongs to. Authorization requires the following IAM permission on the specified resource
|
region |
Required. The Dataproc region in which to handle the request. |
jobId |
Required. The job ID. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. Specifies the path, relative to
, of the field to update. For example, to update the labels of a Job the
parameter would be specified as
, and the
is the only field that can be updated. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Job.
Response body
If successful, the response body contains an instance of Job.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataproc
For more information, see the Authentication Overview.